Package org.codehaus.groovy.tools.javac

# Class RawJavaFileObject

java.lang.Object
javax.tools.SimpleJavaFileObject
org.codehaus.groovy.tools.javac.RawJavaFileObject

All Implemented Interfaces:
  `javax.tools.FileObject`, `javax.tools.JavaFileObject`

    public class RawJavaFileObject
    extends javax.tools.SimpleJavaFileObject

Represents a Java source file in file to compile

Since:
  3.0.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface javax.tools.JavaFileObject

  `javax.tools.JavaFileObject.Kind`

- ## Field Summary

  ### Fields inherited from class javax.tools.SimpleJavaFileObject

  `kind, uri`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RawJavaFileObject​(java.net.URI uri)` | Construct a RawJavaFileObject of the given kind and with the given URI.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `delete()` | delete the Java source file
  `boolean` | `equals​(java.lang.Object o)` |
  `java.lang.CharSequence` | `getCharContent​(boolean ignoreEncodingErrors)` |
  `int` | `hashCode()` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class javax.tools.SimpleJavaFileObject

  `getAccessLevel, getKind, getLastModified, getName, getNestingKind, isNameCompatible, openInputStream, openOutputStream, openReader, openWriter, toUri`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RawJavaFileObject

    public RawJavaFileObject​(java.net.URI uri)
    Construct a RawJavaFileObject of the given kind and with the given URI.
    Parameters:
      `uri` - the URI for this file object

- ## Method Details

  - ### getCharContent

    public java.lang.CharSequence getCharContent​(boolean ignoreEncodingErrors) throws java.io.IOException
    Specified by:
      `getCharContent` in interface `javax.tools.FileObject`
    Overrides:
      `getCharContent` in class `javax.tools.SimpleJavaFileObject`
    Throws:
      `java.io.IOException`

  - ### delete

    public boolean delete()
    delete the Java source file
    Specified by:
      `delete` in interface `javax.tools.FileObject`
    Overrides:
      `delete` in class `javax.tools.SimpleJavaFileObject`
    Returns:
      `true` if deleted successfully

  - ### equals

    public boolean equals​(java.lang.Object o)
    Overrides:
      `equals` in class `java.lang.Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `java.lang.Object`

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `javax.tools.SimpleJavaFileObject`